n=100

f<-function(k)
{
	return(exp(-sqrt(abs(k))))
}

liste=c()
x=0
for (k in 1:n)
{
	liste=c(liste,x)
	v=runif(1,0,1)
	if (v<0.5)
	{	y=x+1 }
	else
	{
		y=x-1
	}
	u=runif(1,0,1)
	alpha=min(1,f(y)*0.5/(f(x)*0.5))
	if (v<alpha) 
	{
		x=y
	}
}
